myapps:
  storage:
    root: /storage-merged
  siteid:
  feign-path: /obpm
server:
  port: 9095
  tomcat:
    uri-encoding: UTF-8
  servlet:
    context-path: ${myapps.siteid}/message
    session:
      timeout: 7200
    jsp:
      init-parameters:
        development: true

#spring.activemq.packages.trust-all: true

spring:
  mvc:
    pathmatch:
      matching-strategy: ANT_PATH_MATCHER
  http:
    encoding:
      force: true
      charset: UTF-8
      enabled: true
  application:
    name: obpm-message
  cloud:
    consul:
      discovery:
        instance-id: ${spring.application.name}:${spring.cloud.client.ip-address}:${random.uuid}
        prefer-ip-address: true
        health-check-path: ${server.servlet.context-path}/actuator/health
        health-check-interval: 10s
        hostname: ${spring.application.name}
        service-name: ${spring.application.name}
        enabled: true
      host: 127.0.0.1
      port: 8500

  # 数据库访问配置
  datasource:
    driver-class-name: com.mysql.jdbc.Driver
    url: jdbc:mysql://49.4.21.141:33066/obpm2_security?useSSL=false&characterEncoding=UTF-8&serverTimezone=GMT%2B8
    username: bcx
    password: Wstestv5in#2022
    # 下面为连接池的补充设置，应用到上面所有数据源中
    initialSize: 5
    minIdle: 5
    maxActive: 20
    # 配置获取连接等待超时的时间
    maxWait: 60000
    # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
    timeBetweenEvictionRunsMillis: 60000
    # 配置一个连接在池中最小生存的时间，单位是毫秒
    minEvictableIdleTimeMillis: 300000
    validationQuery: SELECT 1
    testWhileIdle: false
    testOnBorrow: false
    testOnReturn: false
    # 配置监控统计拦截的filters，去掉后监控界面sql无法统计，'wall'用于防火墙
    filters: stat,wall,log4j
    logSlowSql: true
    
  jpa:
    database: mysql
    show-sql: true
    hibernate:
      naming:
        physical-strategy: org.hibernate.boot.model.naming.PhysicalNamingStrategyStandardImpl
      ddl-auto: update
    #设置默认schema，可以为空
    properties:
      hibernate:
        default_schema:
        dialect: org.hibernate.dialect.MySQL5Dialect
    #Redis服务器地址
  redis:
    host: 49.4.21.141
    port: 6685
    password: Rd20240628
  resources:
    static-locations: classpath:/META-INF/resources/,classpath:/resources/,classpath:/static/,classpath:/public/,/

feign:
  client:
    config:
      default:
        connect-timeout: 60000
        read-timeout: 60000 #设置远程调用超时时间
ribbon:
  ReadTimeout: 20000
  ConnectTimeout: 20000

logging.level.root: INFO
logging.level.cn.myapps: DEBUG

management:
  endpoints:
    web:
      exposure:
        include: '*'
  endpoint:
    health:
      show-details: ALWAYS
  health:
    db:
      enabled: false